CobolGroup (Micro Focus COBOL Java Class Library)
Keywords: com.microfocus.cobol.lang.internal.CobolGroup class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.lang.internal
Class CobolGroup

    java.lang.Object
      com.microfocus.cobol.lang.internal.CobolBytes
          com.microfocus.cobol.lang.internal.CobolField
              com.microfocus.cobol.lang.internal.CobolAlphanumeric
                  com.microfocus.cobol.lang.internal.CobolGroup

public class CobolGroup
extends CobolAlphanumeric

Field Summary

Fields inherited from class com.microfocus.cobol.lang.internal.CobolField
`descriptor, F_BWZ, F_DBCS, F_EBCDIC, F_IBMCOMP, F_NONE, F_TRUNC, occurs, S_LEADING_INCLUDED, S_LEADING_SEPARATE, S_SIGNED_DEFAULT, S_TRAILING_INCLUDED, S_TRAILING_SEPARATE, S_UNSIGNED, T_ALPHANUMERIC, T_BCD, T_BINARY, T_DISPLAY, T_EDITED_ALPHANUMERIC, T_EDITED_DISPLAY, T_EDITED_FLOAT, T_FLOAT, T_PORTABLE_BINARY, T_UBCD`

Fields inherited from class com.microfocus.cobol.lang.internal.CobolBytes
`length, offset, record`

Constructor Summary
`CobolGroup(CobolRecord record, int id, int flags)` Creates a new Cobol Group data item for the whole of the given record area
`CobolGroup(CobolRecord record, int id, int occurs, int flags)` Creates a new Cobol Group data item for the whole of the given record area
`CobolGroup(CobolRecord record, int id, int offset, int length, int flags)` Creates a new Cobol Group data item for part of the given record area
`CobolGroup(CobolRecord record, int id, int offset, int length, int occurs, int flags)` Creates a new Cobol Group data item for part of the given record area

Method Summary
`BigDecimal` | `getBigDecimal(String name)`
`BigInteger` | `getBigInteger(String name)`
`boolean` | `getBoolean(String name)`
`byte[]` | `getBytesValue(String name)`
`byte` | `getByteValue(String name)`
`double` | `getDoubleValue(String name)`
`CobolField` | `getField(String fieldName)` Returns the Cobol data item object representing the given String fieldname
`float` | `getFloatValue(String name)`
`int` | `getIntValue(String name)`
`long` | `getLongValue(String name)`
`short` | `getShortValue(String name)`
`void` | `setBigDecimal(String name, BigDecimal value)`
`void` | `setBigInteger(String name, BigInteger value)`
`void` | `setBoolean(String name, boolean value)`
`void` | `setByte(String name, byte value)`
`void` | `setBytes(String name, byte[] value)`
`void` | `setDouble(String name, double value)`
`void` | `setFloat(String name, float value)`
`void` | `setInt(String name, int value)`
`void` | `setLong(String name, long value)`
`void` | `setShort(String name, short value)`
`void` | `setString(String name, String value)`
`String` | `toString(String name)`

Methods inherited from class com.microfocus.cobol.lang.internal.CobolAlphanumeric
`setString, toString`

Methods inherited from class com.microfocus.cobol.lang.internal.CobolBytes
`getBytesValue, getRecord, setBytes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CobolGroup

    public CobolGroup(CobolRecord record,
                      int id,
                      int occurs,
                      int flags)

  Creates a new Cobol Group data item for the whole of the given record area

Parameters:
  `record` - The record area containing the data item
  `id` - An identifier for the data item that is unique within the record. Zero if none specified
  `occurs` - The number of array entries
  `flags` - Additional type information. Valid flags are F_NONE, F_EBCDIC, F_DBCS
See Also:
  `ICobolType`

### CobolGroup

    public CobolGroup(CobolRecord record,
                      int id,
                      int flags)

  Creates a new Cobol Group data item for the whole of the given record area

Parameters:
  `record` - The record area containing the data item
  `id` - An identifier for the data item that is unique within the record. Zero if none specified
  `flags` - Additional type information. Valid flags are F_NONE, F_EBCDIC, F_DBCS
See Also:
  `ICobolType`

### CobolGroup

    public CobolGroup(CobolRecord record,
                      int id,
                      int offset,
                      int length,
                      int occurs,
                      int flags)

  Creates a new Cobol Group data item for part of the given record area

Parameters:
  `record` - The record area containing the data item
  `id` - An identifier for the data item that is unique within the record. Zero if none specified
  `offset` - The offset of the group item within the record area. (0 = start)
  `length` - The number of bytes in the group item
  `occurs` - The number of array entries
  `flags` - Additional type information. Valid flags are F_NONE, F_EBCDIC, F_DBCS
See Also:
  `ICobolType`

### CobolGroup

    public CobolGroup(CobolRecord record,
                      int id,
                      int offset,
                      int length,
                      int flags)

  Creates a new Cobol Group data item for part of the given record area

Parameters:
  `record` - The record area containing the data item
  `id` - An identifier for the data item that is unique within the record. Zero if none specified
  `offset` - The offset of the group item within the record area. (0 = start)
  `length` - The number of bytes in the group item
  `flags` - Additional type information. Valid flags are F_NONE, F_EBCDIC, F_DBCS
See Also:
  `ICobolType`

Method Detail

### getField

    public CobolField getField(String fieldName)
                        throws CobolRecordException

  Returns the Cobol data item object representing the given String fieldname

  Returns:
    the object representing the given Cobol field name
  Throws:
    `CobolRecordException` - If the field is not found

### getBytesValue

    public byte[] getBytesValue(String name)
                         throws CobolRecordException

  Throws:
    `CobolRecordException`

### toString

    public String toString(String name)
                    throws CobolRecordException

  Throws:
    `CobolRecordException`

### setBytes

    public void setBytes(String name,
                         byte[] value)
                  throws CobolRecordException

  Throws:
    `CobolRecordException`

### setString

    public void setString(String name,
                          String value)
                   throws CobolRecordException

  Throws:
    `CobolRecordException`

### getByteValue

    public byte getByteValue(String name)
                      throws CobolRecordException

  Throws:
    `CobolRecordException`

### getShortValue

    public short getShortValue(String name)
                        throws CobolRecordException

  Throws:
    `CobolRecordException`

### getIntValue

    public int getIntValue(String name)
                    throws CobolRecordException

  Throws:
    `CobolRecordException`

### getLongValue

    public long getLongValue(String name)
                      throws CobolRecordException

  Throws:
    `CobolRecordException`

### getFloatValue

    public float getFloatValue(String name)
                        throws CobolRecordException

  Throws:
    `CobolRecordException`

### getDoubleValue

    public double getDoubleValue(String name)
                          throws CobolRecordException

  Throws:
    `CobolRecordException`

### getBigDecimal

    public BigDecimal getBigDecimal(String name)
                             throws CobolRecordException

  Throws:
    `CobolRecordException`

### getBigInteger

    public BigInteger getBigInteger(String name)
                             throws CobolRecordException

  Throws:
    `CobolRecordException`

### setByte

    public void setByte(String name,
                        byte value)
                 throws CobolRecordException

  Throws:
    `CobolRecordException`

### setShort

    public void setShort(String name,
                         short value)
                  throws CobolRecordException

  Throws:
    `CobolRecordException`

### setInt

    public void setInt(String name,
                       int value)
                throws CobolRecordException

  Throws:
    `CobolRecordException`

### setLong

    public void setLong(String name,
                        long value)
                 throws CobolRecordException

  Throws:
    `CobolRecordException`

### setFloat

    public void setFloat(String name,
                         float value)
                  throws CobolRecordException

  Throws:
    `CobolRecordException`

### setDouble

    public void setDouble(String name,
                          double value)
                   throws CobolRecordException

  Throws:
    `CobolRecordException`

### setBigDecimal

    public void setBigDecimal(String name,
                              BigDecimal value)
                       throws CobolRecordException

  Throws:
    `CobolRecordException`

### setBigInteger

    public void setBigInteger(String name,
                              BigInteger value)
                       throws CobolRecordException

  Throws:
    `CobolRecordException`

### getBoolean

    public boolean getBoolean(String name)
                       throws CobolRecordException

  Throws:
    `CobolRecordException`

### setBoolean

    public void setBoolean(String name,
                           boolean value)
                    throws CobolRecordException

  Throws:
    `CobolRecordException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.